module clock_divider(clock, reset, out);
	input clock, reset;
	parameter divider = 32'd50_000_000;
	output out;
	
	reg [31:0] counter;
	reg out;

	always @(posedge clock)
	begin
		if (reset || !counter)
			counter <= divider;
		else
			counter <= counter - 1;
		
		out <= counter == 0;
	end

endmodule
