module uart(
	input 		          		CLOCK_50,
	output		     [9:0]		LEDR,
	input					[3:0] 	KEY,
	input 		     [9:0]		SW
);

	reg [9:0] LED;
	wire [9:0] SWITCH;
	wire my_clock;
	
	clock_divider five_seconds(
		.clock(CLOCK_50),
		.reset(!KEY[0]),
		.out(my_clock)
	);
	
	defparam five_seconds.divider = 250_000_000;
	
	assign LEDR = LED;
	assign SWITCH = SW;

	always @(posedge CLOCK_50)
	begin
		if (my_clock)
			LED <= ~LED;
	end

endmodule
